## org.eclipse.emf.databinding.edit.internal
Class EMFEditObservableSetDecorator

    java.lang.Object
      org.eclipse.core.databinding.observable.AbstractObservable
          org.eclipse.core.databinding.observable.DecoratingObservable
              org.eclipse.core.databinding.observable.DecoratingObservableCollection
                  org.eclipse.core.databinding.observable.set.DecoratingObservableSet
                      org.eclipse.emf.databinding.internal.EMFObservableSetDecorator
                          org.eclipse.emf.databinding.edit.internal.EMFEditObservableSetDecorator

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set, IDecoratingObservable, IObservable, IObservableCollection, IObserving, IObservableSet, IEMFEditObservable, IEMFObservable

    public class EMFEditObservableSetDecorator

extends EMFObservableSetDecorator
implements IEMFEditObservable

`IEMFObservable` decorator for an `IObservableList`.

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.6

Constructor Summary
`EMFEditObservableSetDecorator(EditingDomain editingDomain, IObservableSet decorated, EStructuralFeature eStructuralFeature)`

Method Summary
`protected void` `addListener(java.lang.Object arg0, IObservablesListener arg1)`
`protected java.lang.Object` `clone()`
`protected void` `fireEvent(ObservableEvent arg0)`
`EditingDomain` `getEditingDomain()`
`Realm` `getRealm()`
`protected boolean` `hasListeners()`
`protected void` `removeListener(java.lang.Object arg0, IObservablesListener arg1)`

Methods inherited from class org.eclipse.emf.databinding.internal.EMFObservableSetDecorator
`dispose, getObserved, getStructuralFeature`

Methods inherited from class org.eclipse.core.databinding.observable.set.DecoratingObservableSet
`addSetChangeListener, clear, fireChange, fireSetChange, firstListenerAdded, handleSetChange, lastListenerRemoved, removeSetChangeListener`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservableCollection
`add, addAll, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class org.eclipse.core.databinding.observable.DecoratingObservable
`getDecorated, getterCalled, handleStaleEvent, isStale`

Methods inherited from class org.eclipse.core.databinding.observable.AbstractObservable
`addChangeListener, addDisposeListener, addStaleListener, checkRealm, fireStale, isDisposed, removeChangeListener, removeDisposeListener, removeStaleListener`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.databinding.IEMFObservable
`getStructuralFeature`

Methods inherited from interface org.eclipse.core.databinding.observable.IObserving
`getObserved`

Methods inherited from interface org.eclipse.core.databinding.observable.set.IObservableSet
`add, addAll, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.eclipse.core.databinding.observable.IObservable
`addChangeListener, addDisposeListener, addStaleListener, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

Constructor Detail

### EMFEditObservableSetDecorator

    public EMFEditObservableSetDecorator(EditingDomain editingDomain,
                                         IObservableSet decorated,
                                         EStructuralFeature eStructuralFeature)

Parameters:
  `editingDomain` -
  `decorated` -
  `eStructuralFeature` -

Method Detail

### getEditingDomain

    public EditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IEMFEditObservable`
  Returns:
    the editing domain to execute commands

### addListener

    protected void addListener(java.lang.Object arg0,
                               IObservablesListener arg1)

### removeListener

    protected void removeListener(java.lang.Object arg0,
                                  IObservablesListener arg1)

### hasListeners

    protected boolean hasListeners()

### fireEvent

    protected void fireEvent(ObservableEvent arg0)

### getRealm

    public Realm getRealm()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.